## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:          python-diff-match-patch
Version:       20241021
Release:       %autorelease
Summary:       Algorithms for synchronizing plain text

%global forgeurl https://github.com/diff-match-patch-python/diff-match-patch
%global tag v%{version}
%forgemeta

License:       Apache-2.0
URL:           %forgeurl
Source:        %forgesource

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3dist(pytest)

%global _description %{expand:
The Diff Match and Patch libraries offer robust algorithms to perform
the operations required for synchronizing plain text.

1. Diff
 - Compare two blocks of plain text and efficiently return a list of
   differences.
2. Match
 - Given a search string, find its best fuzzy match in a block of plain
   text. Weighted for both accuracy and location.
3. Patch
 - Apply a list of patches onto plain text. Use best-effort to apply
   patch even when the underlying text doesn't match.

Google's Diff Match and Patch library, packaged for modern Python.}

%description %_description

%package -n python3-diff-match-patch
Summary:       %{summary}

%description -n python3-diff-match-patch %_description


%prep
%forgeautosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l diff_match_patch


%check
%pytest -r fEs


%files -n python3-diff-match-patch -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 20241021-5
- Rebuilt for Python 3.14

* Sat May 24 2025 Sandro <devel@penguinpee.nl> - 20241021-4
- Post adoption changes

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 20241021-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 22 2024 David King <amigadave@amigadave.com> - 20241021-1
- Update to 20241221 (#2320599)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20230430-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 20230430-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20230430-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20230430-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230430-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 David King <amigadave@amigadave.com> - 20230430-1
- Update to 20230430 (#2192250)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20200713-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20200713-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 20200713-7
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20200713-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20200713-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 20200713-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20200713-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20200713-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 14 2020 David King <amigadave@amigadave.com> - 20200713-1
- Update to 20200713 (#1856495)

* Wed Jun 24 2020 David King <amigadave@amigadave.com> - 20181111-3
- BuildRequire python3-setuptools explicitly

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 20181111-2
- Rebuilt for Python 3.9

* Fri May 01 2020 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 20181111-1
- Update to 20181111
- Drop shebang removal steps (fixed upstream)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20121119-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 20121119-10
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 20121119-9
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20121119-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20121119-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Sep 20 2018 David King <amigadave@amigadave.com> - 20121119-6
- Remove Python 2 subpackage (#1629492)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20121119-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 20121119-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20121119-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20121119-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Sep 27 2016 David King <amigadave@amigadave.com> - 20121119-1
- Initial Fedora packaging (#1379778)

## END: Generated by rpmautospec
